cURL
curl --request POST \
--url https://proxy-airtime.easytransfert.app/api_v1/transaction/status \
--header 'Content-Type: application/json' \
--data '
{
"api_key": "xxxxxxxxxxxxxxxxxxx",
"transaction_ids": "EFB.001158"
}
'import requests
url = "https://proxy-airtime.easytransfert.app/api_v1/transaction/status"
payload = {
"api_key": "xxxxxxxxxxxxxxxxxxx",
"transaction_ids": "EFB.001158"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({api_key: 'xxxxxxxxxxxxxxxxxxx', transaction_ids: 'EFB.001158'})
};
fetch('https://proxy-airtime.easytransfert.app/api_v1/transaction/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"transaction_id": "EFB.001158",
"amount": 3005,
"benefice": 3005,
"commission": 0,
"destination": "0777321219",
"fee": 0,
"error": "",
"service_id": 10,
"customer_name": "KAYBIC AFRICA",
"state": "FAILED",
"custom_data": "custom_data",
"ipn_url": "",
"provider_id": null,
"created_at": "2022-09-27T07:07:47.000+00:00",
"updated_at": "2022-09-27T07:07:47.000+00:00",
"p_last_wallet_amount": null,
"p_new_wallet_amount": null,
"p_id": 1,
"hash": null
},
"message": "",
"statut_code": 200
}API references
Récupérer le statut d'une transaction
Obtenir le status d’une transaction (NB: si vous en abuser vous serez bloqué par le système)
POST
https://proxy-airtime.easytransfert.app/api_v1/transaction
/
status
cURL
Cette page documente l’opération pour obtenir le statut d’une transaction.
Description:
Notes:
- Endpoint: POST
/status(base URL défini dans la collection Postman) - Utilisation: récupère le statut actuel d’une transaction via son ID.
{
"api_key": "xxxxxxxxxxxxxxxx",
"transaction_id": "EFB.001158"
}
transaction_idest retourné lors de l’initiation de la transaction.- ⚠️ Attention: À utiliser avec parcimonie. Un abus de ces requêtes peut entraîner un blocage par le système.
- La confirmation finale des transactions arrive normalement via l’IPN (webhook), il n’est pas nécessaire d’interroger le statut en continu.
Body
application/json

